Subject: Re: [BUG] IBM440GX works too slow under nfsroot

From: Gerhard Jaeger <[email-masked]>
Date: Fri, 22 Oct 2004 08:26:40 +0200

On Friday 22 October 2004 04:02, Eugene Surovegin wrote:
> On Fri, Oct 22, 2004 at 10:38:59AM +0900, Hiroshi DOYU wrote:
> > On Thu, 21 Oct 2004 18:33:20 -0700
> >
> > Eugene Surovegin <[email-masked]> wrote:
> > > On Fri, Oct 22, 2004 at 08:57:33AM +0900, Hiroshi DOYU wrote:
> > > > Now I am strugging with booting vanilla(2.4.2x) on ibm440gx and
> > > > I could succeed to boot it but, after nfs mounted, it's behavior
> > > > seems too slow. I guess, it looks like the system is running
> > > > half duplex.
> > >
> > > Yeah, driver thinks it's connected to 10Mb hub. How the board is
> > > actualy connected to the network?
> >
> > 10Mb hub.
>
> Wow, I really had to spend some time to find such ancient hw :). I'll
> try 2.4.27 with this hub during next couple of days (I'm a little busy
> right now) and let you know. I suspect nobody really tested EMAC driver
> in 10Mb HDX mode.
>
> You can also bug Matt Porter, maybe he'll help you sooner :).

Hi Eugene,

this problem has been discussed a while ago between my co-worker and
Matt-Porter - first on the list and later on in private. We also have this
problem on a custom board using the 440GX. It can be also seen on a Ebony
(440GP) as well and on our rather old Ocotea. Our kernel originally is based
on 2.4.26, but the EMAC driver has been backported from 2.6.9.
Fiddling around with some settings seems to help a bit, but in the end we see
excessive collisions. The reason is not clear yet. 
Matt could not confirm this behaviour 'til now.

Ciao,
  Gerhard

-- 
Gerhard Jaeger <[email-masked]>            
SYSGO AG                      Embedded and Real-Time Software
www.sysgo.com | www.elinos.com | www.osek.de | www.imerva.com